Try compiling with jdk1.2 - jdk1.3.
Using jdk1.4 won't work. Didn't you mention this before? (late night?)

Unfortunately it cannot be changed to compile on both as the VolatileImage
class is 1.4 only.

On Thu, 27 Sep 2001 16:23:04 Peter B. West wrote:
> Just tried a cvs update (my first for a couple of weeks) followed by a 
> ./build.sh clean and a ./build.sh.  Failed.  Tried the ./build.sh again 
> with this result -
> 
> compile:
>       [echo] Compiling the sources
>      [javac] Compiling 308 source files to /opt/xml-fop/build/classes
>      [javac] Note: sun.tools.javac.Main has been deprecated.
>      [javac] 
> /opt/xml-fop/build/src/org/apache/fop/svg/PDFGraphics2D.java:1128: 
> nested class org.apache.fop.svg.PDFGraphics2D. PDFGraphicsConfiguration 
> is an abstract class. It can't be instantiated.
>      [javac]         return new PDFGraphicsConfiguration();
>      [javac]                ^
>      [javac] 
> /opt/xml-fop/build/src/org/apache/fop/svg/PDFGraphics2D.java:1135: 
> nested class org.apache.fop.svg.PDFGraphics2D. PDFGraphicsConfiguration 
> must be declared abstract. It does not define 
> java.awt.image.VolatileImage createCompatibleVolatileImage(int, int) 
> from class java.awt.GraphicsConfiguration.
>      [javac]     static class PDFGraphicsConfiguration extends 
> GraphicsConfiguration {
>      [javac]                  ^
>      [javac] 2 errors, 1 warning
> 
> BUILD FAILED
> 
> 
> Peter
> -- 
> Peter B. West  [EMAIL PROTECTED]  http://powerup.com.au/~pbwest
> "Lord, to whom shall we go?"

---------------------------------------------------------------------
To unsubscribe, e-mail: [EMAIL PROTECTED]
For additional commands, email: [EMAIL PROTECTED]

Reply via email to